package upmc.chatonline;

import java.net.*;
import java.io.*;

/* This server can only accepts one client. The server is stopped
*  when this client timed out or if it sends the message "\quit".
*/

public class Server {
  public static void main(String[] args) {
    System.out.println("Starting server...");
    try (ServerSocket server = new ServerSocket(ServerInfo.port))
    {
      while(true) {
        Socket socket = server.accept();
        System.out.println("New client at " + socket);
        new Connection(socket).start();
      }
    } catch (IOException ex) {
      System.err.println(ex);
    }
    System.out.println("Server shutted down.");
  }
}
